LibreOffice: XVisualObject Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XVisualObject Interface Referencepublished

represents common visualization functionality for embedded objects. More...

`import "XVisualObject.idl";`

Inheritance diagram for XVisualObject:

## Public Member Functions
void | setVisualAreaSize ([in] hyper nAspect, [in] ::com::sun::star::awt::Size aSize) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::uno::Exception )
| sets the size of object's visual area.
::com::sun::star::awt::Size | getVisualAreaSize ([in] hyper nAspect) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::uno::Exception )
| gets the size of object's visual area.
VisualRepresentation | getPreferredVisualRepresentation ([in] hyper nAspect) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::uno::Exception )
| retrieves visual representation of the object in preferable format.
long | getMapUnit ([in] hyper nAspect) raises ( ::com::sun::star::uno::Exception )
| retrieves map mode the object communicates in.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

represents common visualization functionality for embedded objects.

## Member Function Documentation

## ◆ getMapUnit()

long getMapUnit | ( | [in] hyper | nAspect | ) |
raises | ( | ::com::sun::star::uno::Exception ) |  |  |

retrieves map mode the object communicates in.

Parameters

  nAspect | the aspect the map mode is requested for. Can take values from Aspects constant set.

Returns
  the map mode the object communicates in, it can take values from EmbedMapUnits constant

Exceptions

  com::sun::star::embed::WrongStateException | the object is in wrong state
  com::sun::star::uno::Exception | in case of problems

## ◆ getPreferredVisualRepresentation()

VisualRepresentation getPreferredVisualRepresentation | ( | [in] hyper | nAspect | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::embed::WrongStateException,
|  | ::com::sun::star::uno::Exception ) |  |  |

retrieves visual representation of the object in preferable format.

If the object persistence entry contains cached visual representation then it can be retrieved by using this method even in loaded state.

Parameters

  nAspect | the aspect the representation is requested for. Can take values from Aspects constant set.

Returns
  the visual representation of the object in the default format and the format

Exceptions

  com::sun::star::lang::IllegalArgumentException | one of arguments is illegal
  com::sun::star::embed::WrongStateException | the object is in wrong state
  com::sun::star::uno::Exception | in case of problems

## ◆ getVisualAreaSize()

::com::sun::star::awt::Size getVisualAreaSize | ( | [in] hyper | nAspect | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::embed::WrongStateException,
|  | ::com::sun::star::uno::Exception ) |  |  |

gets the size of object's visual area.

The size must be provided in logical units according to map mode the object communicates in.

Parameters

  nAspect | the aspect specifying the form of object representation. Can take values from Aspects constant set.

Returns
  the size of visual area

Exceptions

  com::sun::star::lang::IllegalArgumentException | one of arguments is illegal
  com::sun::star::embed::WrongStateException | the object is in wrong state

## ◆ setVisualAreaSize()

void setVisualAreaSize | ( | [in] hyper | nAspect,
|  | [in] ::com::sun::star::awt::Size | aSize )
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::embed::WrongStateException,
|  | ::com::sun::star::uno::Exception ) |  |  |

sets the size of object's visual area.

The size must be provided in logical units according to map mode the object communicates in.

If an object is inplace- or ui-active the method must not initiate repainting itself.

Parameters

  nAspect | the aspect specifying the form of object representation. Can take values from Aspects constant set.
  aSize | the new size of the visual area

Exceptions

  com::sun::star::lang::IllegalArgumentException | one of arguments is illegal
  com::sun::star::embed::WrongStateException | the object is in wrong state
  com::sun::star::uno::Exception | the object failed to resize

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XVisualObject.idl